changeset 51614:eaa569eeb856

8210160: Remove deprecated configure arguments Reviewed-by: erikj
author ihse
date Thu, 30 Aug 2018 08:19:13 +0200
parents c25f6c562bf5
children b459c731901b
files make/autoconf/hotspot.m4 make/autoconf/jdk-options.m4 make/autoconf/jdk-version.m4 make/autoconf/libraries.m4
diffstat 4 files changed, 1 insertions(+), 35 deletions(-) [+]
line wrap: on
line diff
--- a/make/autoconf/hotspot.m4	Thu Aug 30 08:15:10 2018 +0200
+++ b/make/autoconf/hotspot.m4	Thu Aug 30 08:19:13 2018 +0200
@@ -517,9 +517,6 @@
 
   # Used for verification of Makefiles by check-jvm-feature
   AC_SUBST(VALID_JVM_FEATURES)
-
-  # We don't support --with-jvm-interpreter anymore, use zero instead.
-  BASIC_DEPRECATED_ARG_WITH(jvm-interpreter)
 ])
 
 ###############################################################################
--- a/make/autoconf/jdk-options.m4	Thu Aug 30 08:15:10 2018 +0200
+++ b/make/autoconf/jdk-options.m4	Thu Aug 30 08:19:13 2018 +0200
@@ -126,10 +126,6 @@
   else
     AC_MSG_ERROR([Invalid value for --enable-openjdk-only: $enable_openjdk_only])
   fi
-
-  # custom-make-dir is deprecated. Please use your custom-hook.m4 to override
-  # the IncludeCustomExtension macro.
-  BASIC_DEPRECATED_ARG_WITH(custom-make-dir)
 ])
 
 AC_DEFUN_ONCE([JDKOPT_SETUP_JDK_OPTIONS],
@@ -350,16 +346,6 @@
     AC_MSG_ERROR([Allowed native debug symbols are: none, internal, external, zipped])
   fi
 
-  # --enable-debug-symbols is deprecated.
-  # Please use --with-native-debug-symbols=[internal,external,zipped] .
-  BASIC_DEPRECATED_ARG_ENABLE(debug-symbols, debug_symbols,
-        [Please use --with-native-debug-symbols=[[internal,external,zipped]] .])
-
-  # --enable-zip-debug-info is deprecated.
-  # Please use --with-native-debug-symbols=zipped .
-  BASIC_DEPRECATED_ARG_ENABLE(zip-debug-info, zip_debug_info,
-                              [Please use --with-native-debug-symbols=zipped .])
-
   AC_SUBST(COMPILE_WITH_DEBUG_SYMBOLS)
   AC_SUBST(COPY_DEBUG_SYMBOLS)
   AC_SUBST(ZIP_EXTERNAL_DEBUG_SYMBOLS)
--- a/make/autoconf/jdk-version.m4	Thu Aug 30 08:15:10 2018 +0200
+++ b/make/autoconf/jdk-version.m4	Thu Aug 30 08:19:13 2018 +0200
@@ -57,15 +57,6 @@
 
 AC_DEFUN_ONCE([JDKVER_SETUP_JDK_VERSION_NUMBERS],
 [
-  # Warn user that old version arguments are deprecated.
-  BASIC_DEPRECATED_ARG_WITH([milestone])
-  BASIC_DEPRECATED_ARG_WITH([update-version])
-  BASIC_DEPRECATED_ARG_WITH([user-release-suffix])
-  BASIC_DEPRECATED_ARG_WITH([build-number])
-  BASIC_DEPRECATED_ARG_WITH([version-major])
-  BASIC_DEPRECATED_ARG_WITH([version-minor])
-  BASIC_DEPRECATED_ARG_WITH([version-security])
-
   # Source the version numbers file
   . $AUTOCONF_DIR/version-numbers
 
@@ -443,7 +434,7 @@
     AC_MSG_ERROR([--with-version-date must have a value])
   elif test "x$with_version_date" != x; then
     if [ ! [[ $with_version_date =~ ^[0-9]{4}-[0-9]{2}-[0-9]{2}$ ]] ]; then
-      AC_MSG_ERROR(["$with_version_date" is not a valid version date]) 
+      AC_MSG_ERROR(["$with_version_date" is not a valid version date])
     else
       VERSION_DATE="$with_version_date"
     fi
--- a/make/autoconf/libraries.m4	Thu Aug 30 08:15:10 2018 +0200
+++ b/make/autoconf/libraries.m4	Thu Aug 30 08:19:13 2018 +0200
@@ -180,13 +180,6 @@
   AC_SUBST(LIBDL)
   LIBS="$save_LIBS"
 
-  # Deprecated libraries, keep the flags for backwards compatibility
-  if test "x$OPENJDK_TARGET_OS" = "xwindows"; then
-    BASIC_DEPRECATED_ARG_WITH([dxsdk])
-    BASIC_DEPRECATED_ARG_WITH([dxsdk-lib])
-    BASIC_DEPRECATED_ARG_WITH([dxsdk-include])
-  fi
-
   # Control if libzip can use mmap. Available for purposes of overriding.
   LIBZIP_CAN_USE_MMAP=true
   AC_SUBST(LIBZIP_CAN_USE_MMAP)
@@ -217,4 +210,3 @@
     AC_SUBST(STLPORT_LIB)
   fi
 ])
-